var gameWinnerSkin=gameWinnerSkin||{};
gameWinnerSkin.GameWinnerSkin=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameWinnerSkin.GameWinnerSkin,F2xContainer);
gameWinnerSkin.GameWinnerSkin.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d3=new gameWinnerSkin.F2xAuto_3();
	_d3.initButton();
	_d3.name="rankBtn";
	s.rankBtn=_d3;
	Flash2x.d(_d3,{x:77,y:734});
	_d3.initButton();
	var _d2=Flash2x.t(0,decodeURI("%E6%82%A8%E7%9A%84%E7%94%A8%E6%88%B7ID%E6%98%AF%EF%BC%9A***123a456789"),36,"#506672","Microsoft YaHei",0,0,496,47.5,49.5,"center",false,false,"single",false);
	_d2.name="cidTxt";
	s.cidTxt=_d2;
	Flash2x.d(_d2,{x:73,y:642.5});
	var _d1=Flash2x.t(0,decodeURI("%E5%BE%88%E9%81%97%E6%86%BE%E6%B2%A1%E6%9C%89%E8%8E%B7%E5%A5%96%E5%93%A6%EF%BC%81"),36,"#506672","Microsoft YaHei",0,0,496,47.5,49.5,"center",false,false,"single",false);
	_d1.name="optionTxt";
	s.optionTxt=_d1;
	Flash2x.d(_d1,{x:73,y:549.5});
	var _d0=Flash2x.t(0,decodeURI("%E6%82%A8%E7%9A%84%E6%8E%92%E5%90%8D%E7%AC%AC4256"),42,"#506672","Microsoft YaHei",0,0,336,55.45,57.45,"center",false,true,"single",false);
	_d0.name="rankTxt";
	s.rankTxt=_d0;
	Flash2x.d(_d0,{x:153,y:444.5});
	var _d7=Flash2x.b("gameWinnerSkin","infoBg");
	Flash2x.d(_d7,{x:10,y:214});
	var _d6=new gameWinnerSkin.F2xAuto_4();
	_d6.initButton();
	_d6.name="ruleBtn";
	s.ruleBtn=_d6;
	Flash2x.d(_d6,{x:15,y:42});
	_d6.initButton();
	var _d5=new gameWinnerSkin.F2xAuto_1();
	_d5.initButton();
	_d5.name="recordBtn";
	s.recordBtn=_d5;
	Flash2x.d(_d5,{x:534});
	_d5.initButton();
	var _d4=Flash2x.b("gameWinnerSkin","bg");
	s.addChild(_d4);
	s.addChild(_d5);
	s.addChild(_d6);
	s.addChild(_d7);
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	s.addChild(_d3);
	//f2x_auto_created_init_end
	
};
